
dnl Try to figure out what libraries are required for the demos

AC_DEFUN(AC_CHECK_XMAGICK,
[
if test "$GCC" = "yes"; then
	CFLAGS="-Wall $CFLAGS"
fi

AC_ARG_ENABLE(profiling,
	[  --enable-profiling      enable profiling],
	[ if test "$withval" != "no"; then
		CFLAGS="$CFLAGS -pg"
		LIBXMAGICK="../lib/.libs/libxmagick.a"
	else
		LIBXMAGICK="-L../lib -lxmagick"
	fi ],
	[ LIBXMAGICK="-L../lib -lxmagick" ])
AC_SUBST(LIBXMAGICK)

MAGICK_CPPFLAGS=`Magick-config --cppflags`
MAGICK_LIBS=`Magick-config --libs`
MAGICK_LDFLAGS="`Magick-config --ldflags`"
CFLAGS="$MAGICK_CPPFLAGS $CFLAGS"
LIBS="$MAGICK_LIBS $LIBS"
LDFLAGS="$MAGICK_LDFLAGS $LDFLAGS"
])

